---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Fetch Supabase-backed v1 test run metadata by id. Reference for the GET
    /v1/projects/{projectId}/test-runs/{testRunId} endpoint in the Judgeval API.
sidebar:
  label: Fetch test run
  badge: GET
title: Fetch test run
type: openapi-operation
---
Fetch Supabase-backed v1 test run metadata by id.

`GET /v1/projects/{projectId}/test-runs/{testRunId}`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404

Response example, 200:

```json
{
  "test_run": {
    "id": "string",
    "organization_id": "string",
    "project_id": "string",
    "user_id": "string",
    "test_config_id": "string",
    "dataset_id": "string",
    "dataset_version_id": "string",
    "source": "sdk",
    "status": "pending",
    "name": "string",
    "error_message": "string",
    "created_at": "string",
    "updated_at": "string",
    "started_at": "string",
    "completed_at": "string"
  },
  "ui_results_url": "string"
}
```
